Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class CompileStack.BlockRecorder

    java.lang.Object
      org.codehaus.groovy.classgen.asm.CompileStack.BlockRecorder

    public static class CompileStack.BlockRecorder

Field Summary
`java.lang.Runnable` | `excludedStatement`
`java.util.LinkedList` | `ranges`

Constructor Summary
`CompileStack.BlockRecorder()`
`CompileStack.BlockRecorder(java.lang.Runnable excludedStatement)`

Method Summary
`void` | `closeRange(org.objectweb.asm.Label end)`
`void` | `startRange(org.objectweb.asm.Label start)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### excludedStatement

    public java.lang.Runnable excludedStatement

### ranges

    public java.util.LinkedList ranges

Constructor Detail

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder()

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder(java.lang.Runnable excludedStatement)

Method Detail

### closeRange

    public void closeRange(org.objectweb.asm.Label end)

### startRange

    public void startRange(org.objectweb.asm.Label start)

Groovy Documentation